<?php
/**
* A Simple Category Template
*/
 
get_header(); ?> 
 
<main>
	<div class="container">
		<div class="row">
			<div class="col-lg-8">
			<?php 
				// Check if there are any posts to display
				if ( have_posts() ) : ?>
				
				<header class="archive-header">
				<h2 class="archive-title mb-5">Category: <?php single_cat_title( '', true ); ?></h2>
				
				
				<?php
				// Display optional category description
				if ( category_description() ) : ?>
				<div class="archive-meta"><?php echo category_description(); ?></div>
				<?php endif; ?>
				</header>
				
				<?php
				
				// The Loop
				while ( have_posts() ) : the_post(); ?>
				<div class="post-item">
							<div class="post-img"><img src="<?php echo get_the_post_thumbnail_url($post->ID, 'full'); ?>"></div>
							<div class="post-main-info">
							<h4><a href="<?php esc_url( the_permalink() ); ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h4>
							<div class="post-meta text-muted">
                           		 <span><i class="far fa-user"></i> Posted by <?php echo get_the_author(); ?></span><span><i class="far fa-calendar"></i> <?php echo get_the_date( 'd m Y' ); ?></span><span><i class="far fa-comment-alt"></i> <?php comments_number(); ?></span>
                    		</div>
							<p><?php the_excerpt(); ?></p>
							<a href="<?php esc_url( the_permalink() ); ?>" class="main-btn">Read More</a>
							</div>
				</div>

				<?php endwhile; 
				
				else: ?>
				<p>Sorry, no posts matched your criteria.</p>
				
				
				<?php endif; ?>
			</div>
			<?php get_sidebar(); ?>
		</div>
	</div>

	
</main>
 
 

<?php get_footer(); ?>